<%@ Control Language="vb" Inherits="DotNetNuke.Modules.Wazzup.View" AutoEventWireup="false" Explicit="True" CodeBehind="View.ascx.vb" %>

<asp:Repeater ID="rptLatestPosts" runat="server" DataSourceID="odsPosts">
  <HeaderTemplate>
    <div>
  </HeaderTemplate>
  <AlternatingItemTemplate>
    <div class="shadowItem">
      <asp:HyperLink ID="HyperLink1" runat="server" CssClass="wazzupNav" NavigateUrl='<%# Eval("PagePath") %>' Text='<%# Eval("PostTitle") %>' />
      &nbsp; - &nbsp;<asp:Label ID="PostLastModifiedOnDateLabel" CssClass="wazzupDate" runat="server" Text='<%# Eval("PostPubDate", "{0:d}") %>' />
      <p>
        <asp:Label ID="PostDescriptionLabel" runat="server" Text='<%# Eval("PostDescription") %>' /></p>
    </div>
  </AlternatingItemTemplate>
  <ItemTemplate>
    <div >
      <asp:HyperLink ID="HyperLink1" runat="server" CssClass="wazzupNav" NavigateUrl='<%# Eval("PagePath") %>' Text='<%# Eval("PostTitle") %>' />
      &nbsp; - &nbsp;<asp:Label ID="PostLastModifiedOnDateLabel" CssClass="wazzupDate" runat="server" Text='<%# Eval("PostPubDate", "{0:d}") %>' />
      <p>
        <asp:Label ID="PostDescriptionLabel" runat="server" Text='<%# Eval("PostDescription") %>' /></p>
    </div>
  </ItemTemplate>
  <FooterTemplate>
    </div>
  </FooterTemplate>
</asp:Repeater>

<asp:ObjectDataSource ID="odsPosts" runat="server" SelectMethod="GetLatestPosts" TypeName="DotNetNuke.Modules.Wazzup.Components.htmlPostController">
  <SelectParameters>
    <asp:Parameter DefaultValue="0" Name="SiteID" Type="Int32" />
  </SelectParameters>
</asp:ObjectDataSource>


